package com.yonge.toolset.datasource.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(database_source):
 */
public class DatabaseSource {

	/**  */
	private Long id;
	
	/** 租户ID */
	private String tenantId;
	
	/** 驱动 */
	private String driver;
	
	/** 连接信息 */
	private String url;
	
	/** 用户名 */
	private String username;
	
	/** 密码 */
	private String password;
	
	/** 数据库类型 */
	private String type;
	
	/**  */
	private String memo;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}
			
	public void setDriver(String driver){
		this.driver = driver;
	}
	
	public String getDriver(){
		return this.driver;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}
			
	public void setUsername(String username){
		this.username = username;
	}
	
	public String getUsername(){
		return this.username;
	}
			
	public void setPassword(String password){
		this.password = password;
	}
	
	public String getPassword(){
		return this.password;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
